FIND_GET_PAGES_TAG(9)

NAME
find_get_pages_tag - find and return pages that match tag

SYNOPSIS

unsigned find_get_pages_tag(struct address_space * mapping, pgoff_t * index, int tag, unsigned int nr_pages, struct page ** pages);

ARGUMENTS

mapping
    the address_space to search

index
    the starting page index

tag
    the tag index

nr_pages
    the maximum number of pages

pages
    where the resulting pages are placed

DESCRIPTION

Like find_get_pages, except we only return pages which are tagged with tag. We update index to index the next page for the traversal.

COPYRIGHT